## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XResultTreeFrag Class Reference

Inheritance diagram for XResultTreeFrag:

[legend]
Collaboration diagram for XResultTreeFrag:

[legend]
List of all members.

## Public Types

- typedef XObject ParentType

## Public Member Functions

- XResultTreeFrag (XalanDocumentFragment &value, MemoryManagerType &theManager)
    Construct an XResultTreeFrag object from a result tree fragment.
- XResultTreeFrag (const XResultTreeFrag &source, MemoryManagerType &theManager, bool deepClone=false)
    Construct an XResultTreeFrag object from another.
- virtual ~XResultTreeFrag ()
- MemoryManagerType & getMemoryManager () const
- void setExecutionContext (StylesheetExecutionContext *theExecutionContext)
- virtual const XalanDOMString & getTypeString () const
    Given a request type, return the equivalent string.
- virtual double num () const
    Cast result object to a number.
- virtual bool boolean () const
    Cast result object to a boolean.
- virtual const XalanDOMString & str () const
    Cast result object to a string.
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance.
- virtual void str (XalanDOMString &theBuffer) const
    Append the string value directly a string.
- virtual double stringLength () const
    Get the length of the string value of the instance..
- virtual const XalanDocumentFragment & rtree () const
    Cast result object to a result tree fragment.
- virtual const NodeRefListBase & nodeset () const
    Cast result object to a nodelist.
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject)
    Process a callback request for preferred type information.
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject) const
    Process a callback request for preferred type information.
- XalanDocumentFragment * release ()
    Release the ResultTreeFrag held by the instance.
- void set (XalanDocumentFragment &theValue)
    Change the value of an XResultTreeFrag.

## Protected Member Functions

- virtual void dereferenced ()

## Member Typedef Documentation

typedef XObject XResultTreeFrag::ParentType

## Constructor & Destructor Documentation

XResultTreeFrag::XResultTreeFrag | ( | XalanDocumentFragment & | value,
|  | MemoryManagerType & | theManager
| ) |

  | Construct an XResultTreeFrag object from a result tree fragment. Parameters:
  val | source result tree fragment.

XResultTreeFrag::XResultTreeFrag | ( | const XResultTreeFrag & | source,
|  | MemoryManagerType & | theManager,
|  | bool | deepClone = false
| ) |

  | Construct an XResultTreeFrag object from another. Parameters:
  source | source XResultTreeFrag
  deepClone | true to copy all subobjects, default is false

virtual XResultTreeFrag::~XResultTreeFrag | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool XResultTreeFrag::boolean | ( |  | ) | const`[virtual]`

| Cast result object to a boolean. Returns: boolean value Reimplemented from XObject.

virtual void XResultTreeFrag::dereferenced | ( |  | ) | `[protected, virtual]`

| Reimplemented from XObject.

MemoryManagerType& XResultTreeFrag::getMemoryManager | ( |  | ) | const

virtual const XalanDOMString& XResultTreeFrag::getTypeString | ( |  | ) | const`[virtual]`

| Given a request type, return the equivalent string. For diagnostic purposes. Returns: string for type Implements XObject.

virtual const NodeRefListBase& XResultTreeFrag::nodeset | ( |  | ) | const`[virtual]`

| Cast result object to a nodelist. Returns: node list Reimplemented from XObject.

virtual double XResultTreeFrag::num | ( |  | ) | const`[virtual]`

| Cast result object to a number. Returns: numeric value Reimplemented from XObject.

virtual void XResultTreeFrag::ProcessXObjectTypeCallback | ( | XObjectTypeCallback & | theCallbackObject | ) | const`[virtual]`

  | Process a callback request for preferred type information. Parameters:
  theCallbackObject | object to call back
Implements XObject.

virtual void XResultTreeFrag::ProcessXObjectTypeCallback | ( | XObjectTypeCallback & | theCallbackObject | ) | `[virtual]`

  | Process a callback request for preferred type information. Parameters:
  theCallbackObject | object to call back
Implements XObject.

XalanDocumentFragment* XResultTreeFrag::release | ( |  | ) |

| Release the ResultTreeFrag held by the instance.

virtual const XalanDocumentFragment& XResultTreeFrag::rtree | ( |  | ) | const`[virtual]`

| Cast result object to a result tree fragment. Returns: result tree fragment Reimplemented from XObject.

void XResultTreeFrag::set | ( | XalanDocumentFragment & | theValue | ) |

  | Change the value of an XResultTreeFrag. Parameters:
  theValue | The new value.

void XResultTreeFrag::setExecutionContext | ( | StylesheetExecutionContext * | theExecutionContext | ) |

virtual void XResultTreeFrag::str | ( | XalanDOMString & | theBuffer | ) | const`[virtual]`

  | Append the string value directly a string. Parameters:
  theBuffer | The buffer for the data
Reimplemented from XObject.

virtual void XResultTreeFrag::str | ( | FormatterListener & | formatterListener,
|  | MemberFunctionPtr | function
| ) | const`[virtual]`

  | Send the string value to a FormatterListener instance. Parameters:
  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call
Implements XObject.

virtual const XalanDOMString& XResultTreeFrag::str | ( |  | ) | const`[virtual]`

| Cast result object to a string. Returns: string value Reimplemented from XObject.

virtual double XResultTreeFrag::stringLength | ( |  | ) | const`[virtual]`

| Get the length of the string value of the instance.. Returns: The length of the string value Implements XObject.

The documentation for this class was generated from the following file:

- XResultTreeFrag.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.